import { jsx } from "react/jsx-runtime";
import { RoadHorizon as RoadHorizon$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const RoadHorizon = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "RoadHorizon", ...props, children: /* @__PURE__ */ jsx(RoadHorizon$1, { weight: variant }) });
  }
);
RoadHorizon.displayName = "RoadHorizon";
Object.assign(RoadHorizon, { isGdsIcon: true });
export {
  RoadHorizon
};
